Index: osc-snovis/head/obuild/DOS/build_release.bat
===================================================================
--- osc-snovis/head/obuild/DOS/build_release.bat	(revision 13)
+++ osc-snovis/head/obuild/DOS/build_release.bat	(revision 14)
@@ -4,5 +4,5 @@
 REM #
 REM # File produced by the obuild tool version 1.0
-REM # for the package osc-snovis with version v1r0.
+REM # for the package osc_snovis with version v1r0.
 REM #
 
@@ -19,7 +19,7 @@
 REM #/// Get path of this file :
 REM #////////////////////////////////////////////////
-SET obuild_osc-snovis_path=%~dp0
+SET obuild_osc_snovis_path=%~dp0
 REM # Remove ending \obuild\DOS\
-SET obuild_osc-snovis_path=%obuild_osc-snovis_path:~0,-12%
+SET obuild_osc_snovis_path=%obuild_osc_snovis_path:~0,-12%
 
 SET obuild_verbose=no
@@ -94,22 +94,22 @@
 
 IF "%obuild_erase_dir_bin%" == "yes" (
-  IF EXIST "%obuild_osc-snovis_path%\%obuild_dir_bin%" RMDIR /S /Q "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+  IF EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" RMDIR /S /Q "%obuild_osc_snovis_path%\%obuild_dir_bin%"
   GOTO obuild_return
 )
 
-IF NOT EXIST "%obuild_osc-snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc-snovis_path%\%obuild_dir_bin%"
-
-IF NOT EXIST "%obuild_osc-snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc-snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST "%obuild_osc-snovis_path%\%obuild_dir_bin%\obuild_platform.exe" (
-  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_osc-snovis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_osc-snovis_path%\obuild\cpp\obuild_platform.cpp"
+IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+
+IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST "%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" (
+  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_osc_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_osc_snovis_path%\obuild\cpp\obuild_platform.cpp"
   IF EXIST obuild_platform.obj DEL obuild_platform.obj
 )
 
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
 SET Qt_home=/usr/local/Qt/4.1.4
@@ -118,10 +118,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_2
 IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_2
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
 SET Qt_home=/afs/cern.ch/sw/contrib/Qt/4.1.4/Darwin
@@ -129,10 +129,10 @@
 SET obuild_platform_result=
 :end_if_if_build_release_sh_2
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
 SET Qt_home=/usr/local/Qt/4.1.4
@@ -141,10 +141,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_6
 IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_6
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
 SET Qt_home=/afs/cern.ch/user/g/gybarran/software/Qt/4.1.4/slc3_ia32_gcc323
@@ -154,10 +154,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_8
 IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_8
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
 SET Qt_home=/afs/cern.ch/user/g/gybarran/software/Qt/4.1.4/slc4_ia32_gcc34
@@ -165,10 +165,10 @@
 SET obuild_platform_result=
 :end_if_if_build_release_sh_8
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
 SET Qt_home=C:\usr\local\Qt\4.1.1
@@ -177,10 +177,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_12
 IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_12
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
 SET Qt_home=P:\cern.ch\user\g\gybarran\software\Qt\4.1.1\win32_vc71
@@ -188,10 +188,10 @@
 SET obuild_platform_result=
 :end_if_if_build_release_sh_12
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
 SET Python_home=/usr/local/Python/2.4.2
@@ -200,10 +200,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_16
 IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_16
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
 SET Python_home=/afs/cern.ch/sw/lcg/external/Python/2.4.2/slc3_ia32_gcc323
@@ -213,10 +213,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_18
 IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_18
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
 SET Python_home=/afs/cern.ch/sw/lcg/external/Python/2.4.2/slc4_ia32_gcc34
@@ -224,30 +224,30 @@
 SET obuild_platform_result=
 :end_if_if_build_release_sh_18
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
 SET Python_home=/usr/local/Python/2.3.4
 :end_if_platform_21
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_23
 SET Python_home=C:\usr\local\Python\2.4.2
 :end_if_platform_23
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_25
 SET Python_version=24
@@ -256,10 +256,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_26
 IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_26
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_27
 SET Python_home=P:\cern.ch\sw\lcg\external\Python\2.4.2\win32_vc71
@@ -269,10 +269,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_28
 IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_28
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_29
 SET Python_version=24
@@ -280,20 +280,20 @@
 SET obuild_platform_result=
 :end_if_if_build_release_sh_28
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
 SET SDL_home=/Library/Frameworks/SDL.framework
 :end_if_platform_31
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
 SET SDL_home=/usr/local/SDL/1.2.11
@@ -302,10 +302,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_34
 IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_34
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
 SET SDL_home=/afs/cern.ch/sw/contrib/SDL/1.2.11/slc3_ia32_gcc323
@@ -315,10 +315,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_36
 IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_36
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
 SET SDL_home=/afs/cern.ch/sw/contrib/SDL/1.2.11/slc4_ia32_gcc34
@@ -326,10 +326,10 @@
 SET obuild_platform_result=
 :end_if_if_build_release_sh_36
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
 SET SDL_home=C:\usr\local\SDL\1.2.11
@@ -338,10 +338,10 @@
 IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_40
 IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_40
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
 SET SDL_home=P:\cern.ch\sw\contrib\SDL\1.2.11\win32_vc71
@@ -349,113 +349,113 @@
 SET obuild_platform_result=
 :end_if_if_build_release_sh_40
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
 SET JavaVM_home=/opt/jdk1.5.0_07
 :end_if_platform_43
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
 SET JavaVM_home=C:\usr\local\j2sdk1.4.1
 :end_if_platform_45
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
 SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
 :end_if_platform_47
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_49
 SET Geant4_home=/usr/local/geant4/8.2
 :end_if_platform_49
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
 SET bhep_home=/Users/barrand/dev/exp/nemo/bhep/v1r4p1
 :end_if_platform_51
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_53
 SET bhep_platform=Darwin
 :end_if_platform_53
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_55
 SET GeomUtils_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/GeomUtils
 :end_if_platform_55
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_57
 SET GeomUtils_platform=Darwin-i386
 :end_if_platform_57
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_59
 SET SNgeom2_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/SNgeom2
 :end_if_platform_59
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_61
 SET snova_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/snova
 :end_if_platform_61
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_0=%%d
 cd ..
 cd ..
 cd ..
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_dir_top=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
-IF EXIST osc-snovis RMDIR /S /Q osc-snovis
-IF NOT EXIST osc-snovis MKDIR osc-snovis
-cd osc-snovis
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF EXIST osc_snovis RMDIR /S /Q osc_snovis
+IF NOT EXIST osc_snovis MKDIR osc_snovis
+cd osc_snovis
 IF NOT EXIST v1r0 MKDIR v1r0
 cd v1r0
@@ -483,70 +483,70 @@
 ECHO package G4Examples v1r0   >> "%obuild_dir_project%\Versions"
 ECHO package snovis v1r0   >> "%obuild_dir_project%\Versions"
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_62
 ECHO foreign Qt 4.1.4   >> "%obuild_dir_project%\Versions"
 :end_if_platform_62
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_63
 ECHO foreign Qt 4.1.4   >> "%obuild_dir_project%\Versions"
 :end_if_platform_63
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_64
 ECHO foreign Qt 4.1.1   >> "%obuild_dir_project%\Versions"
 :end_if_platform_64
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_65
 ECHO foreign Python 2.3.5   >> "%obuild_dir_project%\Versions"
 :end_if_platform_65
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_66
 ECHO foreign Python 2.4.2   >> "%obuild_dir_project%\Versions"
 :end_if_platform_66
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_67
 ECHO foreign Python 2.3.4   >> "%obuild_dir_project%\Versions"
 :end_if_platform_67
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_68
 ECHO foreign Python 2.4.2   >> "%obuild_dir_project%\Versions"
@@ -556,10 +556,10 @@
 ECHO foreign Geant4 8.2   >> "%obuild_dir_project%\Versions"
 
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_71
 IF NOT EXIST "%Qt_home%\bin\moc.exe"  ECHO WARNNING : File %Qt_home%\bin\moc.exe not found.  && GOTO end_if_release_72
@@ -569,10 +569,10 @@
 :end_if_platform_71
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_73
 IF NOT EXIST "%Qt_home%\osc_libs"  ECHO WARNNING : Directory %Qt_home%\osc_libs not found.  && GOTO end_if_release_74
@@ -582,10 +582,10 @@
 :end_if_platform_73
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_75
 IF NOT EXIST "%Qt_home%\bin"  ECHO WARNNING : Directory %Qt_home%\bin not found.  && GOTO end_if_release_76
@@ -595,20 +595,20 @@
 :end_if_platform_75
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_77
 IF EXIST "%Python_home%\python%Python_version%.dll" COPY "%Python_home%\python%Python_version%.dll" "%obuild_dir_project%\bin\."
 :end_if_platform_77
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_78
 IF NOT EXIST "%Python_home%\Lib"  ECHO WARNNING : Directory %Python_home%\Lib not found.  && GOTO end_if_release_79
@@ -618,10 +618,10 @@
 :end_if_platform_78
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_80
 IF NOT EXIST "%Python_home%\DLLs"  ECHO WARNNING : Directory %Python_home%\DLLs not found.  && GOTO end_if_release_81
@@ -631,10 +631,10 @@
 :end_if_platform_80
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_82
 IF NOT EXIST "%Python_home%\lib"  ECHO WARNNING : Directory %Python_home%\lib not found.  && GOTO end_if_release_83
@@ -644,10 +644,10 @@
 :end_if_platform_82
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_84
 IF NOT EXIST "%Python_home%\lib"  ECHO WARNNING : Directory %Python_home%\lib not found.  && GOTO end_if_release_85
@@ -657,10 +657,10 @@
 :end_if_platform_84
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_86
 IF NOT EXIST "%CLHEP_home%\lib\libCLHEP.dylib"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP.dylib not found.  && GOTO end_if_release_87
@@ -670,10 +670,10 @@
 :end_if_platform_86
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_88
 IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.dylib not found.  && GOTO end_if_release_89
@@ -683,10 +683,10 @@
 :end_if_platform_88
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_90
 IF NOT EXIST "%CLHEP_home%\lib\libCLHEP.so"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP.so not found.  && GOTO end_if_release_91
@@ -696,10 +696,10 @@
 :end_if_platform_90
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_92
 IF NOT EXIST "%CLHEP_home%\lib\libCLHEP-2.0.3.1.so"  ECHO WARNNING : File %CLHEP_home%\lib\libCLHEP-2.0.3.1.so not found.  && GOTO end_if_release_93
@@ -709,10 +709,10 @@
 :end_if_platform_92
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_94
 IF NOT EXIST "%CLHEP_home%\include"  ECHO WARNNING : Directory %CLHEP_home%\include not found.  && GOTO end_if_release_95
@@ -722,10 +722,10 @@
 :end_if_platform_94
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_96
 IF NOT EXIST "%Geant4_home%\include"  ECHO WARNNING : Directory %Geant4_home%\include not found.  && GOTO end_if_release_97
@@ -735,10 +735,10 @@
 :end_if_platform_96
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_98
 IF NOT EXIST "%Geant4_home%\data\G4NDL"  ECHO WARNNING : Directory %Geant4_home%\data\G4NDL not found.  && GOTO end_if_release_99
@@ -748,10 +748,10 @@
 :end_if_platform_98
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_100
 IF NOT EXIST "%Geant4_home%\data\PhotonEvaporation"  ECHO WARNNING : Directory %Geant4_home%\data\PhotonEvaporation not found.  && GOTO end_if_release_101
@@ -761,10 +761,10 @@
 :end_if_platform_100
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_102
 IF NOT EXIST "%Geant4_home%\data\RadioactiveDecay"  ECHO WARNNING : Directory %Geant4_home%\data\RadioactiveDecay not found.  && GOTO end_if_release_103
@@ -774,10 +774,10 @@
 :end_if_platform_102
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_104
 IF NOT EXIST "%Geant4_home%\data\G4EMLOW"  ECHO WARNNING : Directory %Geant4_home%\data\G4EMLOW not found.  && GOTO end_if_release_105
@@ -787,10 +787,10 @@
 :end_if_platform_104
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_106
 IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_107
@@ -813,10 +813,10 @@
 :end_if_platform_106
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_108
 IF NOT EXIST "%Geant4_home%\lib"  ECHO WARNNING : Directory %Geant4_home%\lib not found.  && GOTO end_if_release_109
@@ -839,10 +839,10 @@
 :end_if_platform_108
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_110
 IF NOT EXIST "%bhep_home%\%bhep_platform%\bin"  ECHO WARNNING : Directory %bhep_home%\%bhep_platform%\bin not found.  && GOTO end_if_release_111
@@ -852,10 +852,10 @@
 :end_if_platform_110
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_112
 IF NOT EXIST "%bhep_home%\%bhep_platform%\lib"  ECHO WARNNING : Directory %bhep_home%\%bhep_platform%\lib not found.  && GOTO end_if_release_113
@@ -865,10 +865,10 @@
 :end_if_platform_112
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_114
 IF NOT EXIST "%GeomUtils_home%\%GeomUtils_platform%\bin"  ECHO WARNNING : Directory %GeomUtils_home%\%GeomUtils_platform%\bin not found.  && GOTO end_if_release_115
@@ -878,10 +878,10 @@
 :end_if_platform_114
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_116
 IF NOT EXIST "%GeomUtils_home%\%GeomUtils_platform%\lib"  ECHO WARNNING : Directory %GeomUtils_home%\%GeomUtils_platform%\lib not found.  && GOTO end_if_release_117
@@ -2590,148 +2590,148 @@
 :end_if_release_633
 
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_634
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\setup.csh"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\setup.csh not found.  && GOTO end_if_release_635
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\setup.csh" "%obuild_dir_project%\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\setup.csh"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\setup.csh not found.  && GOTO end_if_release_635
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\setup.csh" "%obuild_dir_project%\."
 :end_if_release_635
 :end_if_platform_634
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_636
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\setup.sh"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\setup.sh not found.  && GOTO end_if_release_637
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\setup.sh" "%obuild_dir_project%\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\setup.sh"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\setup.sh not found.  && GOTO end_if_release_637
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\setup.sh" "%obuild_dir_project%\."
 :end_if_release_637
 :end_if_platform_636
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_638
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-setup.csh"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-setup.csh not found.  && GOTO end_if_release_639
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-setup.csh" "%obuild_dir_project%\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-setup.csh"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-setup.csh not found.  && GOTO end_if_release_639
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-setup.csh" "%obuild_dir_project%\."
 :end_if_release_639
 :end_if_platform_638
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_640
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-setup.sh"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-setup.sh not found.  && GOTO end_if_release_641
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-setup.sh" "%obuild_dir_project%\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-setup.sh"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-setup.sh not found.  && GOTO end_if_release_641
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-setup.sh" "%obuild_dir_project%\."
 :end_if_release_641
 :end_if_platform_640
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_642
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\install"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\install not found.  && GOTO end_if_release_643
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\install" "%obuild_dir_project%\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\install"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\install not found.  && GOTO end_if_release_643
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\install" "%obuild_dir_project%\."
 :end_if_release_643
 :end_if_platform_642
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_644
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\README"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\README not found.  && GOTO end_if_release_645
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\README" "%obuild_dir_project%\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\README"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\README not found.  && GOTO end_if_release_645
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\README" "%obuild_dir_project%\."
 :end_if_release_645
 :end_if_platform_644
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_646
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-build-example"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-build-example not found.  && GOTO end_if_release_647
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-build-example" "%obuild_dir_project%\tools\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-build-example"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-build-example not found.  && GOTO end_if_release_647
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-build-example" "%obuild_dir_project%\tools\."
 :end_if_release_647
 :end_if_platform_646
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_648
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-run-all-examples"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-run-all-examples not found.  && GOTO end_if_release_649
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\UNIX\aida-run-all-examples" "%obuild_dir_project%\tools\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-run-all-examples"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-run-all-examples not found.  && GOTO end_if_release_649
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\UNIX\aida-run-all-examples" "%obuild_dir_project%\tools\."
 :end_if_release_649
 :end_if_platform_648
 SET obuild_platform_result=
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\License"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\License not found.  && GOTO end_if_release_651
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\License" "%obuild_dir_project%\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\License"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\License not found.  && GOTO end_if_release_651
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\License" "%obuild_dir_project%\."
 :end_if_release_651
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_652
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\aida-setup.bat"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\aida-setup.bat not found.  && GOTO end_if_release_653
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\aida-setup.bat" "%obuild_dir_project%\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\aida-setup.bat"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\aida-setup.bat not found.  && GOTO end_if_release_653
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\aida-setup.bat" "%obuild_dir_project%\."
 :end_if_release_653
 :end_if_platform_652
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_654
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\README"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\README not found.  && GOTO end_if_release_655
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\README" "%obuild_dir_project%\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\README"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\README not found.  && GOTO end_if_release_655
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\README" "%obuild_dir_project%\."
 :end_if_release_655
 :end_if_platform_654
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_656
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\aida-build-example.bat"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\aida-build-example.bat not found.  && GOTO end_if_release_657
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\aida-build-example.bat" "%obuild_dir_project%\tools\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\aida-build-example.bat"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\aida-build-example.bat not found.  && GOTO end_if_release_657
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\aida-build-example.bat" "%obuild_dir_project%\tools\."
 :end_if_release_657
 :end_if_platform_656
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_658
-IF NOT EXIST "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\aida-run-all-examples.bat"  ECHO WARNNING : Directory %obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\aida-run-all-examples.bat not found.  && GOTO end_if_release_659
-COPY "%obuild_dir_top%\osc-batch\v16r0p0\obuild\release\Windows_NT\aida-run-all-examples.bat" "%obuild_dir_project%\tools\."
+IF NOT EXIST "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\aida-run-all-examples.bat"  ECHO WARNNING : Directory %obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\aida-run-all-examples.bat not found.  && GOTO end_if_release_659
+COPY "%obuild_dir_top%\osc_batch\v16r0p0\obuild\release\Windows_NT\aida-run-all-examples.bat" "%obuild_dir_project%\tools\."
 :end_if_release_659
 :end_if_platform_658
@@ -2741,10 +2741,10 @@
 XCOPY /E /Q "%obuild_dir_top%\AIDA\v3r2p1\src\cpp\AIDA" "%obuild_dir_project%\Resources\AIDA\src\cpp\.\AIDA"
 :end_if_release_661
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_662
 IF NOT EXIST "%obuild_dir_top%\OnXLab\v1r0\Darwin_obuild\OnXLab_onx.app"  ECHO WARNNING : Directory %obuild_dir_top%\OnXLab\v1r0\Darwin_obuild\OnXLab_onx.app not found.  && GOTO end_if_release_663
@@ -2754,10 +2754,10 @@
 :end_if_platform_662
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_664
 IF NOT EXIST "%obuild_dir_top%\OnXLab\v1r0\Darwin_obuild\OnXLab_oqt.app"  ECHO WARNNING : Directory %obuild_dir_top%\OnXLab\v1r0\Darwin_obuild\OnXLab_oqt.app not found.  && GOTO end_if_release_665
@@ -2767,10 +2767,10 @@
 :end_if_platform_664
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_1=%%d
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_osc-snovis_1%"
-SET obuild_pwd_osc-snovis_1=
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_666
 IF NOT EXIST "%obuild_dir_top%\OpenPAW\v3r0\Darwin_obuild\OpenPAW_opaw.app"  ECHO WARNNING : Directory %obuild_dir_top%\OpenPAW\v3r0\Darwin_obuild\OpenPAW_opaw.app not found.  && GOTO end_if_release_667
@@ -2781,8 +2781,8 @@
 SET obuild_platform_result=
 
-cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF EXIST obuild_platform.exe DEL obuild_platform.exe
-cd "%obuild_pwd_osc-snovis_0%"
-SET obuild_pwd_osc-snovis_0=
+cd "%obuild_pwd_osc_snovis_0%"
+SET obuild_pwd_osc_snovis_0=
 :obuild_return
 ENDLOCAL
